Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.mock
Class ClosureConstraintMatcher

    java.lang.Object
      groovy.mock.ClosureConstraintMatcher

All Implemented Interfaces:
  com.mockobjects.constraint.Constraint

Deprecated. As of Groovy 1.5 replaced by MockFor (or use an external mocking package) `MockFor`

    public class ClosureConstraintMatcher

extends Object
implements com.mockobjects.constraint.Constraint

Author:
  Joe Walnes, Chris Stevenson

Constructor Summary
`ClosureConstraintMatcher(Closure closure)` Deprecated.

Method Summary
`boolean` | `eval(Object object)` Deprecated.
`String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClosureConstraintMatcher

    public ClosureConstraintMatcher(Closure closure)

  Deprecated.

Method Detail

### eval

    public boolean eval(Object object)

  Deprecated.
  Specified by:
    `eval` in interface `com.mockobjects.constraint.Constraint`

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD